NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.QualifySketchBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.QualifySketchBuilder builder. More...

Inheritance diagram for NXOpen.Features.ShipDesign.QualifySketchBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AssignAttribute (NXOpen.TaggedObject entity, string category, string title, string value, int attrType, string objName)
 Assigns attributes to the anchor point. More...
 
unsafe
NXOpen.Features.ShipDesign.AnchorPoint 
CreateNewAnchorPoint ()
 Creates the anchor point. More...
 
unsafe void OpenParameterSpreadSheetToEdit ()
 Opens parameter spreadsheet to edit. More...
 
unsafe void OpenPartFile ()
 Opens the template part file. More...
 
unsafe void OpenRegistrationSpreadSheetToEdit ()
 Opens registration spreadsheet to edit. More...
 
unsafe void PreviewLeftImage ()
 Previews left image. More...
 
unsafe void PreviewRightImage ()
 Previews right image. More...
 
unsafe void ReloadParameterSpreadSheet ()
 Reloads parameter spreadsheet. More...
 
unsafe void ReloadRegisterSpreadSheet ()
 Reloads registration spreadsheet. More...
 
unsafe void ReloadTable ()
 Reloads expression table. More...
 
unsafe void RemoveAttribute (NXOpen.TaggedObject entity, string category, string title, int attrType)
 Removes attributes from the entity. More...
 
unsafe void UpdateSketch ()
 Updates sketch. More...
 
unsafe void ValidateCurves ()
 Validates Curves. More...
 
unsafe void ValidateParameterSpreadSheet ()
 Validates parameter spreadsheet. More...
 
unsafe void ValidatePartAttributes ()
 Validates the part attributes. More...
 
unsafe void ValidateSketchCurves ()
 Validates the sketch curves. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int ActiveRowIndex [get, set]
 Returns or sets the active row index. More...
 
unsafe NXOpen.SelectCurve BaseLine [get]
 Returns the selected base line. More...
 
unsafe int ContextAttribute [get, set]
 Returns or sets the context attribute. More...
 
unsafe int Feature [get, set]
 Returns or sets the steel feture type. More...
 
unsafe string ModelFile [get, set]
 Returns or sets the model file name. More...
 
unsafe
NXOpen.Features.ShipDesign.AnchorPointList 
ModelList [get]
 Returns the model list. More...
 
unsafe string ModelPath [get, set]
 Returns or sets the model file path. More...
 
unsafe NXOpen.SelectCurve MoldLine [get]
 Returns the selected mold line. More...
 
unsafe NXOpen.SelectCurve OpposingMoldLine [get]
 Returns the selected opposing mold line. More...
 
unsafe int SectionType [get, set]
 Returns or sets the section type. More...
 
unsafe NXOpen.SelectCurve ShearLine [get]
 Returns the selected shear line. More...
 
unsafe int ShipNo [get, set]
 Returns or sets the ship no. More...
 
unsafe string SpreadSheetFile [get, set]
 Returns or sets the parameter spreadsheet file. More...
 
unsafe string SpreadSheetPath [get, set]
 Returns or sets the parameter spreadsheet path. More...
 
unsafe NXOpen.SelectCurve TaperLine [get]
 Returns the selected taper line. More...
 
unsafe NXOpen.SelectCurve TopLine [get]
 Returns the selected top line. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.QualifySketchBuilder builder.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateQualifySketchBuilder

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.AssignAttribute ( NXOpen.TaggedObject  entity,
string  category,
string  title,
string  value,
int  attrType,
string  objName 
)
inline

Assigns attributes to the anchor point.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entity
category
title
value
attrType
objName
unsafe NXOpen.Features.ShipDesign.AnchorPoint NXOpen.Features.ShipDesign.QualifySketchBuilder.CreateNewAnchorPoint ( )
inline

Creates the anchor point.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Returns
unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.OpenParameterSpreadSheetToEdit ( )
inline

Opens parameter spreadsheet to edit.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.OpenPartFile ( )
inline

Opens the template part file.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.OpenRegistrationSpreadSheetToEdit ( )
inline

Opens registration spreadsheet to edit.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.PreviewLeftImage ( )
inline

Previews left image.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.PreviewRightImage ( )
inline

Previews right image.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ReloadParameterSpreadSheet ( )
inline

Reloads parameter spreadsheet.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ReloadRegisterSpreadSheet ( )
inline

Reloads registration spreadsheet.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ReloadTable ( )
inline

Reloads expression table.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.RemoveAttribute ( NXOpen.TaggedObject  entity,
string  category,
string  title,
int  attrType 
)
inline

Removes attributes from the entity.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entity
category
title
attrType
unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.UpdateSketch ( )
inline

Updates sketch.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ValidateCurves ( )
inline

Validates Curves.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ValidateParameterSpreadSheet ( )
inline

Validates parameter spreadsheet.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ValidatePartAttributes ( )
inline

Validates the part attributes.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.QualifySketchBuilder.ValidateSketchCurves ( )
inline

Validates the sketch curves.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Property Documentation

unsafe int NXOpen.Features.ShipDesign.QualifySketchBuilder.ActiveRowIndex
getset

Returns or sets the active row index.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.BaseLine
get

Returns the selected base line.

Created in NX8.0.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.QualifySketchBuilder.ContextAttribute
getset

Returns or sets the context attribute.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe int NXOpen.Features.ShipDesign.QualifySketchBuilder.Feature
getset

Returns or sets the steel feture type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe string NXOpen.Features.ShipDesign.QualifySketchBuilder.ModelFile
getset

Returns or sets the model file name.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.AnchorPointList NXOpen.Features.ShipDesign.QualifySketchBuilder.ModelList
get

Returns the model list.

Created in NX8.0.0

License requirements: None.

unsafe string NXOpen.Features.ShipDesign.QualifySketchBuilder.ModelPath
getset

Returns or sets the model file path.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.MoldLine
get

Returns the selected mold line.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.OpposingMoldLine
get

Returns the selected opposing mold line.

Created in NX8.0.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.QualifySketchBuilder.SectionType
getset

Returns or sets the section type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.ShearLine
get

Returns the selected shear line.

Created in NX8.0.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.QualifySketchBuilder.ShipNo
getset

Returns or sets the ship no.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe string NXOpen.Features.ShipDesign.QualifySketchBuilder.SpreadSheetFile
getset

Returns or sets the parameter spreadsheet file.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe string NXOpen.Features.ShipDesign.QualifySketchBuilder.SpreadSheetPath
getset

Returns or sets the parameter spreadsheet path.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.TaperLine
get

Returns the selected taper line.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectCurve NXOpen.Features.ShipDesign.QualifySketchBuilder.TopLine
get

Returns the selected top line.

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.